## helma.util
Class ParanoidServerSocket

    java.lang.Object
      java.net.ServerSocket
          helma.util.ParanoidServerSocket

    public class ParanoidServerSocket

extends java.net.ServerSocket

A server socket that can allow connections to only a few selected hosts.

Constructor Summary
`ParanoidServerSocket(int port)` Creates a new ParanoidServerSocket object.
`ParanoidServerSocket(int port, InetAddressFilter filter)` Creates a new ParanoidServerSocket object.

Method Summary
`java.net.Socket` `accept()`
`InetAddressFilter` `getFilter()`
`void` `setFilter(InetAddressFilter filter)`

Methods inherited from class java.net.ServerSocket
`bind, bind, close, getChannel, getInetAddress, getLocalPort, getLocalSocketAddress, getReceiveBufferSize, getReuseAddress, getSoTimeout, implAccept, isBound, isClosed, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSocketFactory, setSoTimeout, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParanoidServerSocket

    public ParanoidServerSocket(int port)
                         throws java.io.IOException

  Creates a new ParanoidServerSocket object.

  Parameters:
    `port` - ...
  Throws:
    `java.io.IOException` - ...

### ParanoidServerSocket

    public ParanoidServerSocket(int port,
                                InetAddressFilter filter)
                         throws java.io.IOException

  Creates a new ParanoidServerSocket object.

  Parameters:
    `port` - ...
    `filter` - ...
  Throws:
    `java.io.IOException` - ...

Method Detail

### accept

    public java.net.Socket accept()
                           throws java.io.IOException

  Overrides:
    `accept` in class `java.net.ServerSocket`
  Returns:
    ...
  Throws:
    `java.io.IOException` - ...

### setFilter

    public void setFilter(InetAddressFilter filter)

  Parameters:
    `filter` - ...

### getFilter

    public InetAddressFilter getFilter()

  Returns:
    ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.